org.springframework.web.reactive.socket.adapter

## Class JettyWebSocketHandlerAdapter

- java.lang.Object
- - org.springframework.web.reactive.socket.adapter.JettyWebSocketHandlerAdapter

    @WebSocket
    public class JettyWebSocketHandlerAdapter
    extends Object

Jetty `@WebSocket` handler that delegates events to a reactive `WebSocketHandler` and its session.

Since:
  5.0
Author:
  Violeta Georgieva, Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`JettyWebSocketHandlerAdapter(WebSocketHandler handler, Function<org.eclipse.jetty.websocket.api.Session,JettyWebSocketSession> sessionFactory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onWebSocketBinary(byte[] message, int offset, int length)`
`void` `onWebSocketClose(int statusCode, String reason)`
`void` `onWebSocketConnect(org.eclipse.jetty.websocket.api.Session session)`
`void` `onWebSocketError(Throwable cause)`
`void` `onWebSocketFrame(org.eclipse.jetty.websocket.api.extensions.Frame frame)`
`void` `onWebSocketText(String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JettyWebSocketHandlerAdapter

    public JettyWebSocketHandlerAdapter(WebSocketHandler handler,
                                        Function<org.eclipse.jetty.websocket.api.Session,JettyWebSocketSession> sessionFactory)

### Method Detail

#### onWebSocketConnect

    @OnWebSocketConnect
    public void onWebSocketConnect(org.eclipse.jetty.websocket.api.Session session)

#### onWebSocketText

    @OnWebSocketMessage
    public void onWebSocketText(String message)

#### onWebSocketBinary

    @OnWebSocketMessage
    public void onWebSocketBinary(byte[] message,
                                                      int offset,
                                                      int length)

#### onWebSocketFrame

    @OnWebSocketFrame
    public void onWebSocketFrame(org.eclipse.jetty.websocket.api.extensions.Frame frame)

#### onWebSocketClose

    @OnWebSocketClose
    public void onWebSocketClose(int statusCode,
                                                   String reason)

#### onWebSocketError

    @OnWebSocketError
    public void onWebSocketError(Throwable cause)